package top.ninwoo.edgecenter.service;

/**
 * @Author joliu
 * @Description 用于分配ip的服务接口
 * @Date　Create in 下午4:36 2019/11/7
 */
public interface IpService {

    /**
     * 分配IP
     * @param networkSegment IP的网段
     * @param containerId 容器ID
     * @return Ipv4的地址
     */
    String assignIpString(String networkSegment, String containerId);
}
