package top.ninwoo.edgecenter.service;

import top.ninwoo.edgecenter.entity.ClusterConfig;
import top.ninwoo.edgecenter.entity.NetworkTopology;

/**
 * @Author joliu
 * @Description Topo服务
 * @Date　Create in 上午10:55 2019/11/7
 */
public interface TopologyService {

    /**
     * 初始化网络拓扑
     * 将集群中的网络拓扑构建
     * @param clusterConfig
     */
    void initTopo(ClusterConfig clusterConfig);

    void createTopo(long clusterId, NetworkTopology topology);
}
