package top.ninwoo.edgecenter.service.impl;

import org.springframework.stereotype.Service;
import top.ninwoo.edgecenter.service.IpService;

import java.util.concurrent.ConcurrentHashMap;
import java.util.concurrent.atomic.AtomicInteger;

/**
 * @Author joliu
 * @Description
 * @Date　Create in 下午8:20 2019/11/7
 */
@Service
public class IpServiceImpl implements IpService {
    ConcurrentHashMap<String, AtomicInteger> countMap = new ConcurrentHashMap<>();
    ConcurrentHashMap<String, String> ipMap = new ConcurrentHashMap<>();

    // TODO: 这个应该结合数据库，由云端提供服务，暂时提供一个测试版本
    @Override
    public String assignIpString(String networkSegment, String containerId) {
        // networkSegment 10.100.1.0/24
        // 在分配IP前还需要校验下这个网段是否是空闲的网段
        AtomicInteger atomicInteger;
        if(!countMap.containsKey(networkSegment)) {
            countMap.put(networkSegment, new AtomicInteger(2));
        }
        atomicInteger = countMap.get(networkSegment);
        String ip = networkSegment.substring(0, networkSegment.length() - 4) + atomicInteger.getAndIncrement()
                + networkSegment.substring(networkSegment.length()-3);
        ipMap.put(containerId, ip);
        return ip;
    }
}
